define(
    [
        'jquery',
        'Magento_Customer/js/model/customer',
        'Magento_Checkout/js/model/quote',
        'Magento_Checkout/js/model/url-builder',
        'mage/url',
        'Magento_Checkout/js/model/error-processor',
        'Magento_Ui/js/model/messageList',
        'mage/translate',
        'Magento_Ui/js/modal/modal',
        'Magento_Ui/js/modal/alert'
    ],
    function ($, customer, quote, urlBuilder, urlFormatter, errorProcessor, messageContainer, __, modal, alert) {
        'use strict';


        return {
             
            validate: function () {

              if (!window.checkoutConfig.natz_enabled_status){
                return true;
              }

               var $c = getCustomerData();

               if (!$c['islogged'] && $c['mobilenumber']==''){
                    alert({content: 'Please complete the field with asterisk (*).'});
                    return false;
               }

               if ($c['emailaddress']=='' || $c['countrycode']=='' || $c['lastname']=='' || $c['firstname']==''){
                    alert({content: 'Please complete the field with asterisk (*).'});
                    return false;
               }

                var isAllowed = $("#isAllowedPlaceorder").val();

                if (isAllowed!=0){
                    return true;
                }else{
                    checkAccount();
                   return false;

                    
                }
                   

            },
        };
    }
);